// ************************************************************************** //
//
//  BornAgain: simulate and fit scattering at grazing incidence
//
//! @file      Core/includeIncludes/FormFactors.h
//! @brief     Includes form-factor related include files.
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
// ************************************************************************** //

#ifndef FORMFACTORS_H
#define FORMFACTORS_H

#include "FormFactorDecoratorDebyeWaller.h"
#include "FormFactorDecoratorMaterial.h"
#include "FormFactorDecoratorPositionFactor.h"
#include "FormFactorDecoratorRotation.h"
#include "FormFactorWeighted.h"
#include "HardParticles.h"
#include "SoftParticles.h"

#endif // FORMFACTORS_H
