// ************************************************************************** //
//
//  BornAgain: simulate and fit scattering at grazing incidence
//
//! @file      Core/includeIncludes/InterferenceFunctions.h
//! @brief     Includes all interference function definitions.
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
// ************************************************************************** //

#ifndef INTERFERENCEFUNCTIONS_H
#define INTERFERENCEFUNCTIONS_H

#include "InterferenceFunction1DLattice.h"
#include "InterferenceFunction2DLattice.h"
#include "InterferenceFunction2DParaCrystal.h"
#include "InterferenceFunction2DSuperLattice.h"
#include "InterferenceFunction3DLattice.h"
#include "InterferenceFunctionFinite2DLattice.h"
#include "InterferenceFunctionFinite3DLattice.h"
#include "InterferenceFunctionHardDisk.h"
#include "InterferenceFunctionNone.h"
#include "InterferenceFunctionRadialParaCrystal.h"
#include "InterferenceFunctionTwin.h"

#endif // INTERFERENCEFUNCTIONS_H
