// ************************************************************************** //
//
//  BornAgain: simulate and fit scattering at grazing incidence
//
//! @file      Core/includeIncludes/SoftParticles.h
//! @brief     Includes all soft-particle form-factor definitions.
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
// ************************************************************************** //

#ifndef SOFTPARTICLES_H
#define SOFTPARTICLES_H

#include "SoftParticles.h"
#include "FormFactorGauss.h"
#include "FormFactorLorentz.h"
#include "FormFactorSphereGaussianRadius.h"
#include "FormFactorSphereLogNormalRadius.h"
#include "FormFactorSphereUniformRadius.h"
#include "FormFactorOrnsteinZernike.h"
#include "FormFactorDebyeBueche.h"

#endif // SOFTPARTICLES_H
