// ************************************************************************** //
//
//  BornAgain: simulate and fit scattering at grazing incidence
//
//! @file      GUI/coregui/Models/ItemFactory.h
//! @brief     Defines class ItemFactory
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
// ************************************************************************** //

#ifndef ITEMFACTORY_H
#define ITEMFACTORY_H

#include "SessionItem.h"

namespace ItemFactory
{
//! create SessionItem of specific type and parent
SessionItem* CreateItem(const QString& model_name, SessionItem* parent=nullptr);

//! create empty SessionItem that serves as a root item
SessionItem *CreateEmptyItem();

//! retrieve list of all possible item types suitable for
QStringList ValidTopItemTypes();

};

#endif // ITEMFACTORY_H
